# Class FastqWriterFactory

java.lang.Object
htsjdk.samtools.fastq.FastqWriterFactory

public class FastqWriterFactory extends Object
Factory class for creating FastqWriter objects.

## Constructor Summary

Constructors
Constructor
Description
`FastqWriterFactory()`

## Method Summary

Modifier and Type
Method
Description
`FastqWriter`
`newWriter(File out)`
`void`
`setCreateMd5(boolean createMd5)`
If true, compute MD5 and write appropriately-named file when file is closed.
`void`
`setUseAsyncIo(boolean useAsyncIo)`
Sets whether or not to use async io (i.e.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastqWriterFactory

public FastqWriterFactory()

## Method Details

### setUseAsyncIo

public void setUseAsyncIo(boolean useAsyncIo)
Sets whether or not to use async io (i.e. a dedicated thread per writer.

### setCreateMd5

public void setCreateMd5(boolean createMd5)
If true, compute MD5 and write appropriately-named file when file is closed.

### newWriter

public FastqWriter newWriter(File out)